<section>
  <mat-card *ngFor="let post of posts | async">
    <mat-card-content routerLink="{{post.id}}">
      <img src="{{post.image}}" alt="{{post.title}}">
      <h2>{{post.title}}</h2>
      <p><small>Posted by: {{post.author}} &bull; on {{post.published.seconds * 1000 | date: 'fullDate'}}</small></p>
    </mat-card-content>
    <mat-card-actions align="end" *ngIf="auth.currentUserId === post.authorId">
      <button mat-icon-button (click)="delete(post.id)">
        <mat-icon>delete</mat-icon>
      </button>
    </mat-card-actions>
  </mat-card>
</section>
